GDCM: vtkGDCMMedicalImageProperties Class Reference

GDCM 3.2.8

Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends | List of all members
vtkGDCMMedicalImageProperties Class Reference

`#include <vtkGDCMMedicalImageProperties.h>`

Inheritance diagram for vtkGDCMMedicalImageProperties:
[legend]
Collaboration diagram for vtkGDCMMedicalImageProperties:
[legend]

## Public Member Functions
virtual void | Clear ()
void | PrintSelf (ostream &os, vtkIndent indent)
| vtkTypeMacro (vtkGDCMMedicalImageProperties, vtkMedicalImageProperties)

## Static Public Member Functions
static vtkGDCMMedicalImageProperties * | New ()

## Protected Member Functions
| vtkGDCMMedicalImageProperties ()
| ~vtkGDCMMedicalImageProperties ()
gdcm::File const & | GetFile (unsigned int t)
void | PushBackFile (gdcm::File const &f)

## Friends
class | vtkGDCMImageReader
class | vtkGDCMImageReader2
class | vtkGDCMImageWriter

## Constructor & Destructor Documentation

## ◆ vtkGDCMMedicalImageProperties()

vtkGDCMMedicalImageProperties::vtkGDCMMedicalImageProperties | ( |  | ) |
| protected

Referenced by GetFile(), New(), and vtkTypeMacro().

## ◆ ~vtkGDCMMedicalImageProperties()

vtkGDCMMedicalImageProperties::~vtkGDCMMedicalImageProperties | ( |  | ) |
| protected

## Member Function Documentation

## ◆ Clear()

virtual void vtkGDCMMedicalImageProperties::Clear | ( |  | ) |
| virtual

## ◆ GetFile()

gdcm::File const & vtkGDCMMedicalImageProperties::GetFile | ( | unsigned int | t | ) |
| protected

References vtkGDCMMedicalImageProperties().

## ◆ New()

vtkGDCMMedicalImageProperties * vtkGDCMMedicalImageProperties::New | ( |  | ) |
| static

References vtkGDCMMedicalImageProperties().

## ◆ PrintSelf()

void vtkGDCMMedicalImageProperties::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )

## ◆ PushBackFile()

void vtkGDCMMedicalImageProperties::PushBackFile | ( | gdcm::File const & | f | ) |
| protected

## ◆ vtkTypeMacro()

vtkGDCMMedicalImageProperties::vtkTypeMacro | ( | vtkGDCMMedicalImageProperties | ,
|  | vtkMedicalImageProperties | )

References vtkGDCMMedicalImageProperties().

## Friends And Related Symbol Documentation

## ◆ vtkGDCMImageReader

friend class vtkGDCMImageReader
| friend

References vtkGDCMImageReader.

Referenced by vtkGDCMImageReader.

## ◆ vtkGDCMImageReader2

friend class vtkGDCMImageReader2
| friend

References vtkGDCMImageReader2.

Referenced by vtkGDCMImageReader2.

## ◆ vtkGDCMImageWriter

friend class vtkGDCMImageWriter
| friend

References vtkGDCMImageWriter.

Referenced by vtkGDCMImageWriter.

The documentation for this class was generated from the following file:

- vtkGDCMMedicalImageProperties.h